#include <stdio.h>
long long lepak(long long a, long long b , long long c)
{
  long long d,br;
  
  for( d=1; b/d>0; d*=10 );
  br = a*d + b;
  for(d=1;c/d>0;d*=10);
  return br*d + c;
}
int main()
{
    long long A,B,C,max,a1,a2,a3,a4,a5,a6;
    int i;
    scanf("%lli %lli %lli", &A,&B,&C);
    a1= lepak(A,B,C);
    a2= lepak(A,C,B);
    a3= lepak(B,A,C);
    a4= lepak(B,C,A);
    a5= lepak(C,B,A);
    a6= lepak(C,A,B);
    
    long long b[6] = {a1,a2,a3,a4,a5,a6};
    max=a1;
    for(i=1;i<6;i++){
        if(b[i]>max){
            max=b[i];
        }
    }
    
    printf("%lli",max);
}